let gameOn = false;

let honk;
let horn;
let hit;

let ballX;
let ballY;

let mountain1Start = 999;
let mountain1Xsc = 0.05;
let mountain1Xoffset = 0;
let mountain1Ymin = 50;
let mountain1Ymax = 150;


function preload() {
  honk = loadSound("/data/honk.wav");
  horn = loadSound("/data/horn.wav");
  hit = loadSound("/data/hit.wav");
}

function setup() {
  createCanvas(800, 600);
}

function draw() {
  background(220);
  if (gameOn === false) {
    textSize(48);
    text("Press 's' to start.  Have fun", 10, height / 2);
  } else {
    playGame();
  }
}


function playGame() {

  // draw mountain 1
  fill(0, 255, 0);
  stroke(0);
  beginShape();
  for (let x = 0; x < width; x++) {
    let noiseY = noise((mountain1Start + x + mountain1Xoffset) * mountain1Xsc);
    let y = map(noiseY, 0, 1, mountain1Ymin, mountain1Ymax);
    vertex(x, y);
  }
  vertex(width, height);
  vertex(0, height);
  endShape(CLOSE);
  mountain1Xoffset += 1;
}


function keyPressed() {
  if (keyCode === UP_ARROW) {
    ballY -= 10;
  } else if (keyCode === DOWN_ARROW) {
    ballY += 10;
  } else if (key === "s" || key === "S") {
    gameOn = true;
  }
}
